import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class MagicSquareTest {

    // Normal case: A 5x5 magic square should be generated with no issues
    @Test
    void generateMagicSquareNormal() {
        MagicSquareGenerator magicSquare = new MagicSquareGenerator(5);
        assertNotNull(magicSquare);
    }

    // Abnormal case: Negative size should throw an exception
    @Test
    void generateMagicSquareAbnormal() {
        assertThrows(NegativeArraySizeException.class, () -> {
            new MagicSquareGenerator(-5);
        });
    }

    // Boundary case: A 1x1 magic square should be generated with no issues
    @Test
    void generateMagicSquareBoundary() {
        MagicSquareGenerator magicSquare = new MagicSquareGenerator(1);
        assertNotNull(magicSquare);
    }
}
